Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlMessagesTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
              org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.shared_orchestra.taglib.html.HtmlMessagesTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.Tag

    public abstract class HtmlMessagesTagBase

extends HtmlComponentTagBase

Version:
  $Revision: 472630 $ $Date: 2006-11-08 21:40:03 +0100 (Mi, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlMessagesTagBase()`

Method Summary
`void` | `release()`
`void` | `setErrorClass(java.lang.String errorClass)`
`void` | `setErrorStyle(java.lang.String errorStyle)`
`void` | `setFatalClass(java.lang.String fatalClass)`
`void` | `setFatalStyle(java.lang.String fatalStyle)`
`void` | `setGlobalOnly(java.lang.String globalOnly)`
`void` | `setInfoClass(java.lang.String infoClass)`
`void` | `setInfoStyle(java.lang.String infoStyle)`
`void` | `setLayout(java.lang.String layout)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowDetail(java.lang.String showDetail)`
`void` | `setShowSummary(java.lang.String showSummary)`
`void` | `setTooltip(java.lang.String tooltip)`
`void` | `setWarnClass(java.lang.String warnClass)`
`void` | `setWarnStyle(java.lang.String warnStyle)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessagesTagBase

    public HtmlMessagesTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentTagBase`

### setShowSummary

    public void setShowSummary(java.lang.String showSummary)

### setShowDetail

    public void setShowDetail(java.lang.String showDetail)

### setGlobalOnly

    public void setGlobalOnly(java.lang.String globalOnly)

### setErrorClass

    public void setErrorClass(java.lang.String errorClass)

### setErrorStyle

    public void setErrorStyle(java.lang.String errorStyle)

### setFatalClass

    public void setFatalClass(java.lang.String fatalClass)

### setFatalStyle

    public void setFatalStyle(java.lang.String fatalStyle)

### setInfoClass

    public void setInfoClass(java.lang.String infoClass)

### setInfoStyle

    public void setInfoStyle(java.lang.String infoStyle)

### setWarnClass

    public void setWarnClass(java.lang.String warnClass)

### setWarnStyle

    public void setWarnStyle(java.lang.String warnStyle)

### setLayout

    public void setLayout(java.lang.String layout)

### setTooltip

    public void setTooltip(java.lang.String tooltip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.